org.eclipse.jetty.util

## Interface Scanner.ScanCycleListener

All Superinterfaces:
  Scanner.Listener

Enclosing class:
  Scanner

    public static interface Scanner.ScanCycleListener
    extends Scanner.Listener

Listener that notifies when a scan has started and when it has ended.

### Method Summary

Methods
`void` `scanEnded(int cycle)`
`void` `scanStarted(int cycle)`

### Method Detail

#### scanStarted

    void scanStarted(int cycle)
                     throws Exception

Throws:
  `Exception`

#### scanEnded

    void scanEnded(int cycle)
                   throws Exception

Throws:
  `Exception`